const Joi = require("joi");

const { Validate } = require("./Validate");

const FeaturePropertyValidation = async (req, res, next) => {
  const schema = Joi.object().keys({
    propertyId: Joi.number().integer().required().messages({
      "any:required": "PropertyId field is required",
    }),
    planId: Joi.number().integer().required().messages({
      "any:required": "PlanId field is required",
    }),
  });
  await Validate(req, res, next, schema);
};

module.exports = {
  FeaturePropertyValidation,
};
